<template>
  <div id="index">
    <el-row>
      <el-col :span="24" class="main">
        <el-col :span="24" class="one">
          <el-col :span="24" class="one_1"> 保安服务公司服务许可证查询 </el-col>
          <el-col :span="24" class="one_2">
            <search-1 :form="searchForm" @onSubmit="search"></search-1>
          </el-col>
        </el-col>
        <el-col :span="24" class="two">
          <data-table @query="search" :fields="fields" :opera="opera" :data="list" :total="total" @view="toView"> </data-table>
        </el-col>
      </el-col>
    </el-row>
    <el-dialog class="dialog" :title="dialog.title" :visible.sync="dialog.show" width="60%" :before-close="toClose" :close-on-click-modal="false">
      <template v-if="dialog.type == '1'">
        <info-1 :info="info" @toReset="toClose"></info-1>
      </template>
    </el-dialog>
  </div>
</template>

<script>
import info1 from './parts/info-1.vue';
import search1 from './parts/search-1.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: company_licence } = createNamespacedHelpers('company_licence');
export default {
  name: 'index',
  props: {},
  components: { info1, search1 },
  data: function () {
    return {
      // 查询
      searchForm: {},
      // 列表
      fields: [
        { label: '企业名称', model: 'company' },
        { label: '企业类别', model: 'purpose' },
        { label: '法人姓名', model: 'legal_personal' },
        { label: '法人代表身份证号', model: 'legal_card' },
        { label: '服务许可证编号', model: 'licence_num' },
        { label: '管辖单位', model: 'tube_company' },
        { label: '保安服务许可证发证日期', model: 'cert_date' },
        { label: '打印日期', model: 'print_date' },
        { label: '证件状态', model: 'cert_status', format: (i) => (i == '0' ? '正常' : '注销') },
      ],
      opera: [{ label: '详情', method: 'view' }],
      list: [],
      total: 0,
      // 弹框
      dialog: { title: '详细信息', show: false, type: '1' },
      //  详细信息
      info: {},
    };
  },
  created() {
    this.search();
  },
  methods: {
    ...company_licence(['query', 'fetch']),
    async search({ skip = 0, limit = 10, ...info } = {}) {
      const condition = _.cloneDeep(this.searchForm);
      let res = await this.query({ skip, limit, ...condition, ...info });
      if (this.$checkRes(res)) {
        this.$set(this, `list`, res.data);
        this.$set(this, `total`, res.total);
      }
    },
    // 详情
    async toView({ data }) {
      let res = await this.fetch({ id: data.id });
      if (res.errcode == '0') {
        res.data.cert_status = '0' ? '正常' : '注销';
        this.$set(this, `info`, res.data);
        this.dialog = { title: '详细信息', show: true, type: '1' };
      }
    },
    // 关闭弹框
    toClose() {
      this.info = {};
      this.dialog = { title: '详细信息', show: false, type: '1' };
    },
  },
  computed: {
    ...mapState(['user']),
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
  watch: {
    test: {
      deep: true,
      immediate: true,
      handler(val) {},
    },
  },
};
</script>

<style lang="less" scoped>
.main {
  .one {
    .one_1 {
      height: 40px;
      line-height: 40px;
      border-bottom: 1px solid #ccc;
      margin: 0 0 10px 0;
      font-size: 18px;
      font-weight: bold;
    }
    .one_2 {
      .one_2txt {
        border: 1px solid #ccc;
        /deep/.el-form-item {
          margin: 0;
        }
        /deep/.el-date-editor.el-input,
        .el-date-editor.el-input__inner {
          width: 100%;
        }
        /deep/.el-select {
          width: 100%;
        }
        .btn {
          text-align: right;
          padding: 5px 5px;
        }
      }
    }
  }
}
/deep/.el-dialog__body {
  padding: 10px;
}
</style>
